# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

#Puesto hoy
Section "ServerLayout"
	Identifier "X.org Configured"
	Screen 0 "Screen0" 0 0 
EndSection

Section "Module"
	Load "extmod"
	Load "xtrap"
	Load "dbe"
	Load "dri"
	Load "glx"
	Load "freetype"

	Load    "i2c"
	Load    "bitmap"
	Load    "ddc"
	Load    "int10"
	Load    "vbe"
	Load    "GLcore"
EndSection

########## Viejo
Section "InputDevice"
	Identifier 	"ATI_Radeon"
	Driver		"fglrx"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"latam"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier      "Configured Video Device"
	Driver          "intel"
	VendorName 	"Intel Corporation"
	BoardName 	"Mobile 4 Series Chipset Integrated Graphics Controller"
	BusID 		"PCI:0:2:0"

	Option          "AllowGLXWithComposite" "true"
	Option          "XAANoOffscreenPixmaps" "true"
	Option          "AddARGBGLXVisuals"     "True"
	Option          "DRI"   "True"
	Option          "AccelMethod"   "XAA"
	Option          "EXAOptimizeMigration"          "true"
	Option          "MigrationHeuristic"            "greedy"
	Option          "Tiling"                        "true"
	Option          "NoDDC"
	Option          "BackingStore"  "True"
	Option          "MTRR" "on"
	Option          "UseFBDev" "true"
	Option          "LinearAlloc" "26144"
	Option          "MonitorLayout" "CRT,LFP"
	Option          "DevicePresence" "true"
	Option          "RenderAccel" "true"
	Option          "RandRRotation" "on"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Screen0"
	Device		"Card0"
	Monitor		"Monitor0"
	Option		"AddARGBGLXVisual"
EndSection

Section "Extensions"
	Option 	"Composite" "0"
	Option "RENDER" "Enable"
#	Option "DAMAGE" "Enable"
EndSection

Section "ServerFlags"
	Option 	"AIGLX" "true"
 	Option 	"RandR" "on"
	Option  "RENDER" "on"
EndSection

Section "DRI"
	mode 0666
EndSection
